<?php
require_once '../heating_config.php';
require_once '../heating/HeatMiser/Wifi.php';
include("../log_config.php");
include("../login_config.php");
include("password.php");
include("external_temp.php");

date_default_timezone_set('Europe/London');

try {
    // ip, pin, optional port
    $hm = new \PhilLavin\HeatMiser\Wifi($heatmiser_ip, $heatmiser_pin);
    $dcb = $hm->get_dcb();
    $hm->put_dcb($dcb);
    $dcb = $hm->get_dcb();
}
catch (\PhilLavin\HeatMiser\ConnectionFailedException $e) {
    die("Failed to connect: ".$e->getMessage()."\n");
}
catch (\Exception $e) {
    die("Exception of type ".get_class($e)." thrown. Error was: {$e->getMessage()}\n");
}


$temp = $dcb['internal_temperature'];
$temp_target = ($dcb['runmode'] == "Heating" ? $dcb['heating_target'] : $dcb['frostprotect_target']);
$heating_status = ($dcb['heating_on'] == 1 ? '1' : '0');

//echo("Current: ".$temp."<br>");
//echo("Status: ".$heating_status."<br>");


$ch = curl_init(); 
curl_setopt($ch, CURLOPT_URL, $get_data_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
$output = curl_exec($ch); 
curl_close($ch); 

$row = unserialize($output);

//print_r($row);

//echo("temp = ".$temp." ".gettype($temp)."<br>");
//echo("row[temp] = ".$row[temp]." ".gettype($row[temp])."<br>");
//echo("logging_difference = ".$logging_difference." ".gettype($logging_difference)."<br>");

if (    ($temp >= $row['temp'] + $logging_difference) 
     || ($temp <= $row['temp'] - $logging_difference) 
     || ($heating_status != $row['heating']) 
     || ($temp_target != $row['target'])
     || (time() > $row['timestamp'] + (60 * 30))
   )
{
		$external_temp = get_external_temp();
		
		$add_data_url = $add_data_url."?temp=".$temp."&temp_target=".$temp_target."&heating_on=".$dcb['heating_on']."&external_temp=".$external_temp."&pass=".get_password();
			
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_URL, $add_data_url);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		$output = curl_exec($ch); 
		curl_close($ch); 
}


?>